> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get latest Automatic Customer Scan status for inbox

> Returns the most recent scan's progress and result for an inbox. Use `contactScans.create` to start a new scan, or `contactScans.list` for the full history.



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/contact-scans/status
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - bearerAuth: []
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/contact-scans/status:
    get:
      tags:
        - Contacts
      summary: Get latest Automatic Customer Scan status for inbox
      description: >-
        Returns the most recent scan's progress and result for an inbox. Use
        `contactScans.create` to start a new scan, or `contactScans.list` for
        the full history.
      operationId: contactScans.getStatus
      parameters:
        - name: inboxId
          in: query
          required: true
          schema:
            type: string
            pattern: ^\d+$
            description: Inbox id. Get it from `inboxes.list`.
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                      - init
                      - running
                      - succeeded
                      - failed
                      - partial
                      - idle
                    type: string
                  latest:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: string
                            pattern: ^\d+$
                          status:
                            enum:
                              - init
                              - running
                              - succeeded
                              - failed
                              - partial
                            type: string
                          scanFromAt:
                            anyOf:
                              - type: string
                                format: date-time
                                x-native-type: date
                              - type: 'null'
                          createdAt:
                            type: string
                            format: date-time
                            x-native-type: date
                          startedAt:
                            anyOf:
                              - type: string
                                format: date-time
                                x-native-type: date
                              - type: 'null'
                          finishedAt:
                            anyOf:
                              - type: string
                                format: date-time
                                x-native-type: date
                              - type: 'null'
                          importedContactCount:
                            type: number
                          currentScan:
                            type: number
                          currentError:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - status
                          - scanFromAt
                          - createdAt
                          - startedAt
                          - finishedAt
                          - importedContactCount
                          - currentScan
                          - currentError
                      - type: 'null'
                  availability:
                    anyOf:
                      - type: object
                        properties:
                          canScan:
                            const: true
                        required:
                          - canScan
                      - type: object
                        properties:
                          canScan:
                            const: false
                          blockedReason:
                            enum:
                              - cooldown
                              - running
                            type: string
                          nextScanAt:
                            type: string
                            format: date-time
                            x-native-type: date
                        required:
                          - canScan
                          - blockedReason
                          - nextScanAt
                required:
                  - status
                  - latest
                  - availability
        '400':
          description: '400'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: businessError
                      status:
                        const: 400
                      message:
                        type: string
                        default: An error occurred while processing your request
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '401':
          description: '401'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: UNAUTHORIZED
                      status:
                        const: 401
                      message:
                        type: string
                        default: Authentication required
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: INVALID_CHATBOT_TOKEN
                      status:
                        const: 401
                      message:
                        type: string
                        default: Invalid or missing workspace API token
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: FORBIDDEN
                      status:
                        const: 403
                      message:
                        type: string
                        default: You do not have permission to perform this action
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: trialExpired
                      status:
                        const: 403
                      message:
                        type: string
                        default: Trial expired
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: macLimitReached
                      status:
                        const: 403
                      message:
                        type: string
                        default: Monthly active contact limit reached
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '422':
          description: '422'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: invalidRequestData
                      status:
                        const: 422
                      message:
                        type: string
                        default: Input validation failed
                      data:
                        type: object
                        properties:
                          issues:
                            type: array
                            items:
                              type: object
                              properties:
                                message:
                                  type: string
                                path:
                                  type: array
                                  items:
                                    anyOf:
                                      - type: string
                                      - type: number
                                      - type: object
                                        properties:
                                          key:
                                            anyOf:
                                              - type: string
                                              - type: number
                                        required:
                                          - key
                                        additionalProperties: {}
                              required:
                                - message
                              additionalProperties: {}
                        required:
                          - issues
                        additionalProperties: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                      - data
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: validation
                      status:
                        const: 422
                      message:
                        type: string
                        default: Validation error
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '429':
          description: '429'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: tooManyRequests
                      status:
                        const: 429
                      message:
                        type: string
                        default: Too many requests
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '500':
          description: '500'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: INTERNAL_SERVER_ERROR
                      status:
                        const: 500
                      message:
                        type: string
                        default: An unexpected error occurred
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
components:
  schemas:
    UndefinedError:
      type: object
      properties:
        defined:
          const: false
        code:
          type: string
        status:
          type: number
        message:
          type: string
        data: {}
      required:
        - defined
        - code
        - status
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````